Method: projects.locations.producerExtensions.get

Gets details of the specified ProducerExtension resource.

HTTP request

GET https://networkservices.googleapis.com/v1beta1/{name=projects/*/locations/*/producerExtensions/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the ProducerExtension resource to get. It must be in this format: projects/{project}/locations/{location}/producerExtensions/{producerExtension}.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of ProducerExtension.

IAM Permissions

Requires the following IAM permission on the name resource:

  • networkservices.producerExtensions.get

For more information, see the IAM documentation.